summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJulian Ospald <hasufell@gentoo.org>2015-10-24 13:57:59 +0200
committerSergei Trofimovich <slyfox@gentoo.org>2015-10-25 00:43:19 +0100
commitbc41a427792ca39c2986befe964380aa1a951cba (patch)
tree4079388d2067bf6a192fa18e01d454d29704fee8
parentsys-libs/readline: add multilib support to older SLOTs #563884 (diff)
downloadgentoo-bc41a427792ca39c2986befe964380aa1a951cba.tar.gz
gentoo-bc41a427792ca39c2986befe964380aa1a951cba.tar.bz2
gentoo-bc41a427792ca39c2986befe964380aa1a951cba.zip
darcs.eclass: add missing '|| die' on pushd/popd
Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
-rw-r--r--eclass/darcs.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/darcs.eclass b/eclass/darcs.eclass
index 1fc1b28b0521..abb9ccc9b092 100644
--- a/eclass/darcs.eclass
+++ b/eclass/darcs.eclass
@@ -126,7 +126,7 @@ darcs_fetch() {
# in case EDARCS_DARCS_DIR is a symlink to a dir, get the real
# dir's path, otherwise addwrite() doesn't work.
- pushd .
+ pushd . || die
cd -P "${EDARCS_TOP_DIR}" > /dev/null
EDARCS_TOP_DIR="`/bin/pwd`"
@@ -159,7 +159,7 @@ darcs_fetch() {
export EDARCS_PATCHCOUNT=$(darcs_patchcount)
einfo " patches in repo: ${EDARCS_PATCHCOUNT}"
- popd
+ popd || die
}
# @FUNCTION: darcs_src_unpack